メインコンテンツまでスキップ

Delete Global Member Cluster (V2)

Deletes a member cluster from a Global Cluster. A secondary member cluster can be deleted directly. The primary member cluster can be deleted only after all secondary member clusters in the same Global Cluster have been deleted.

DELETE/v2/globalClusters/{globalClusterId}/clusters/{clusterId}
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
globalClusterIdstringpathrequired

ID of the Global Cluster.

Example Value: glo-xxxxxxxxxxxxxxx
clusterIdstringpathrequired

Member cluster ID to delete. It can be either a primary or secondary member cluster ID.

Example Value: in01-xxxxxxxxxxxxxxx
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"
export clusterId="in01-xxxxxxxxxxxxxxx"

curl --request DELETE \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/clusters/${clusterId}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json"
Responses200 - application/json
globalClusterIdstring

Global Cluster ID.

Example Value: glo-xxxxxxxxxxxxxxx
clusterIdstring

Deleted member cluster ID.

Example Value: in01-xxxxxxxxxxxxxxx
promptstring

Deletion prompt shown to users.

Example Value: The cluster has been deleted. If you consider this action to be an error, you have the option to restore the deleted cluster from the recycle bin within a 30-day period. Kindly note, this recovery feature does not apply to free clusters.

Returns an error message.

codeinteger

Response code.

Example Value: 400
messagestring

Error message.

Example Value: Invalid request parameters.
{
"globalClusterId": "glo-xxxxxxxxxxxxxxx",
"clusterId": "in01-xxxxxxxxxxxxxxx",
"prompt": "The cluster has been deleted. If you consider this action to be an error, you have the option to restore the deleted cluster from the recycle bin within a 30-day period. Kindly note, this recovery feature does not apply to free clusters."
}